Subject: Re: More newbie questions to get up to speed....
From: [email-masked] (Earnie Boyd)

21 Apr 1998 23:54:13 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Nagle, Adrian" <[email-masked]>,
        GNU-WIN32 Project <[email-masked]>

---"Nagle, Adrian" <[email-masked]> wrote:
>
> Thanks to those who helped me a few weeks suggesting how to set up
bash
> to read my .bashrc and to start in my home directory.
> 
> I added in the cygnus.bat file the lines:
> 1> SET USER=%USERNAME%
> 2> SET HOME=/home/%USERNAME%
> 3>.....
> 4> bash -login
> 
> My .bash_profile and .bashrc are executed.  But I still end up in the
> desktop directory.  If I type "> cd", I do end up in my home
directory.
> Does bash not perform the same here as on a UNIX platform?  I always
end

Bash has to live within the environment of the kernel.  The
differences are a direct result of Win32 vs. UNIX.

> up in the home directory there.  I suppose a simple "> cd" at the
end of
> my .bash_profile will solve.  I want to make sure there isn't
something
> funny going on somewhere else.

Yes, I believe that a "cd" at the end of your .bash_profile file will
work to set you in the $HOME directory.  The reason you are not there
is that the kernel (in this case Win32) is the one that controls the
startup directory.  You could create a .pif file and modify the
properties of the .pif to startup in whatever directory you choose.

> 
> I noticed that bash is NOT case sensitive, at least for directory
names.
> I can understand why, but wanted to make sure that is true in all
cases.
> 
> BASH PROMT:
> I have set the PS1 prompt to:
> PS1="\u on \h <\!> "
> 
> The \u does not work for me.  I end up with:
> I have no name! on XXX <1> 
> 

You could replace the \u with "$USER on \h <\!> "

> What variable does \u use?  I have %USER% and %USERNAME% both defined!
> If I "> echo $USER" I get the correct username.
> 
> I have more questions, but answers to these will do me for a while! 
:)
> 
> Adrian
> 
>
-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
> Adrian Nagle                                      Tele: 303-939-6518
> Thermal Engineer                                   FAX: 303-939-5166
> Ball Aerospace & Technologies Corp.
> Boulder, Colorado
> http://www.ball.com/aerospace/batchp.html
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".